%define major      79
%define libname    %mklibname %{name} %{major}
%define gtklibname %mklibname gwengui-gtk3_ %{major}
%define qt5libname %mklibname gwengui-qt5_ %{major}
%define cpplibname %mklibname gwengui-cpp %{major}
%define develname  %mklibname %{name} -d

Name:           gwenhywfar
Version:        5.10.2
Release:        %mkrel 2
Summary:        A multi-platform helper library for other libraries
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.aqbanking.de/
Source:         https://www.aquamaniac.de/rdm/attachments/download/319/%{name}-%{version}.tar.xz
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gcrypt-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gnutls-devel
BuildRequires: lib64gpg-error-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64openssl-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64qt5bluetooth-devel
BuildRequires: lib64qt5charts-devel
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5datavisualization-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5designer-devel
BuildRequires: lib64qt5gamepad-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5keychain-devel
BuildRequires: lib64qt5location-devel
BuildRequires: lib64qt5multimedia-devel
BuildRequires: lib64qt5multimediagsttools-devel
BuildRequires: lib64qt5multimediaquick-devel
BuildRequires: lib64qt5multimediawidgets-devel
BuildRequires: lib64qt5networkauth-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5nfc-devel
BuildRequires: lib64qt5opengl-devel
BuildRequires: lib64qt5packetprotocol-static-devel
BuildRequires: lib64qt5positioning-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5purchasing-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5qmlmodels-devel
BuildRequires: lib64qt5qt3d-devel
BuildRequires: lib64qt5quickcontrols2-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5quickparticles-devel
BuildRequires: lib64qt5quickshapes-devel
BuildRequires: lib64qt5quicktemplates2-devel
BuildRequires: lib64qt5quicktest-devel
BuildRequires: lib64qt5quickwidgets-devel
BuildRequires: lib64qt5remoteobjects-devel
BuildRequires: lib64qt5script-devel
BuildRequires: lib64qt5scripttools-devel
BuildRequires: lib64qt5scxml-devel
BuildRequires: lib64qt5sensors-devel
BuildRequires: lib64qt5serialbus-devel
BuildRequires: lib64qt5serialport-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5test-devel
BuildRequires: lib64qt5texttospeech-devel
BuildRequires: lib64qt5virtualkeyboard-devel
BuildRequires: lib64qt5waylandclient-devel
BuildRequires: lib64qt5webchannel-devel
BuildRequires: lib64qt5webengine-devel
BuildRequires: lib64qt5webkit-devel
BuildRequires: lib64qt5webkitwidgets-devel
BuildRequires: lib64qt5websockets-devel
BuildRequires: lib64qt5webview-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64qt5xmlpatterns-devel
BuildRequires: lib64qtav-devel
BuildRequires: lib64syntax-highlighting-devel
BuildRequires: qtbase5-common-devel

Requires:     %{name}-gui = %{version}

%description
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %libname
Summary:        A multi-platform helper library for other libraries
Group:          System/Libraries
Requires:       %{name} >= %{version}
Obsoletes:      lib64gwenhywfar60

%description -n %libname
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %qt5libname
Summary:        A Qt5 multi-platform helper library for other libraries
Group:          System/Libraries
Provides:       %{name}-gui = %{version}
Obsoletes:      lib64gwengui-qt5_0
Obsoletes:      lib64gwengui-qt4_0

%description -n %qt5libname
This is Gwenhywfar, a Qt5 multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %gtklibname
Summary:        A GTK multi-platform helper library for other libraries
Group:          System/Libraries
Provides:       %{name}-gui = %{version}
Obsoletes:      lib64gwengui-gtk2_0

%description -n %gtklibname
This is Gwenhywfar, a GTK multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %cpplibname
Summary:        A multi-platform helper library for other libraries
Group:          System/Libraries
Provides:       %{name}-gui = %{version}
Obsoletes:      lib64gwengui-cpp0

%description -n %cpplibname
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %develname
Summary:        Gwenhywfar development kit
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Requires:       %{qt5libname} = %{version}
Requires:       %{gtklibname} = %{version}
Requires:       %{cpplibname} = %{version}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %develname
This package contains gwenhywfar-config and header files for writing and
compiling programs using Gwenhywfar.

%prep
%setup -q

%build
#autoreconf -vfi
export PATH=%{_qt5_bindir}:$PATH
%configure2_5x \
        --enable-system-certs \
        --disable-static \
        --disable-rpath \
        --with-guis="qt5 gtk3" \
        --with-openssl-libs=%{_libdir} \
        --with-qt5-qmake=%{_qt5_bindir}/qmake \
        --with-qt5-moc=%{_qt5_bindir}/moc \
        --with-qt5-uic=%{_qt5_bindir}/uic || (cat config.log && exit 1)

%make_build QT_LIBS='-lQt5Core -lQt5Gui -lQt5Widgets'

%install
%make_install

# use system ca-certificates
rm -f %{buildroot}%{_datadir}/%{name}/ca-bundle.crt
ln -sf %{_sysconfdir}/pki/tls/certs/ca-bundle.crt \
        %{buildroot}%{_datadir}/%{name}/ca-bundle.crt

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

ln -snf %{_sysconfdir}/pki/tls/certs/ca-bundle.crt %{buildroot}%{_datadir}/%{name}/ca-bundle.crt

%files -f %{name}.lang
%{_bindir}/gct-tool
%{_datadir}/%{name}/

%files -n %libname
%{_libdir}/libgwenhywfar.so.%{major}*
%{_libdir}/%{name}/

%files -n %qt5libname
%{_libdir}/libgwengui-qt5.so.%{major}*

%files -n %gtklibname
%{_libdir}/libgwengui-gtk3.so.%{major}*

%files -n %cpplibname
%{_libdir}/libgwengui-cpp.so.%{major}*

%files -n %develname
%{_bindir}/gwenhywfar-config
%{_bindir}/gsa
%{_bindir}/xmlmerge
%{_bindir}/mklistdoc
%{_bindir}/typemaker
%{_bindir}/typemaker2
%{_includedir}/gwenhywfar5/
%{_libdir}/*.so
%{_libdir}/cmake/gwengui-qt5-*/
%{_libdir}/cmake/%{name}-*/
%{_libdir}/cmake/gwengui-cpp-*/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/gwenhywfar.m4
%{_bindir}/gwbuild
%{_datadir}/gwenbuild/templates/convlib.tmpl
%{_datadir}/gwenbuild/templates/module.tmpl
%{_datadir}/gwenbuild/templates/project.tmpl

%changelog
* Thu Nov 30 2023 tex - 5.10.2-2pclos2023
- rebuild against updates

* Sun Sep 03 2023 tex - 5.10.2-1pclos2023
- new version

* Mon Mar 27 2023 tex - 5.6.0-1pclos2023
- new version

* Mon Jul 27 2020 tex - 5.3.0-1pclos2020
- new version
